commit: 0b69939e88f6a0c80a0066773e7c30d9bbe33562
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Sat Oct 31 00:34:49 2020 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Oct 31 01:36:43 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b69939e
dev-python/ioflo-2.0.2: Version bump, add py39
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/ioflo/Manifest | 1 +
dev-python/ioflo/ioflo-2.0.2.ebuild | 37 +++++++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/ioflo/Manifest b/dev-python/ioflo/Manifest
index ece45348115..dd9dd0b06b0 100644
--- a/dev-python/ioflo/Manifest
+++ b/dev-python/ioflo/Manifest
@@ -1 +1,2 @@
DIST ioflo-2.0.0.tar.gz 838200 BLAKE2B
876a38df5e6fb953eef6e65bb793fa975a4fed8d4f698029e26747a4887a449bcf5cc5c9fcce081f9b93faeb34d0f783b2f81e17ec619d7ca95810762eae810d
SHA512
b4b70aef65cffe067d7563682a2cbeac0a07cd4722aa2de8fb56fd127c99df771dc5d3d22be24aadd628a26fd1b7407db684ea7257b45eba8f8376f4ad226a87
+DIST ioflo-2.0.2.tar.gz 837382 BLAKE2B
1fe878c8a9a47a9be5083e392e15256f1a566433b4341e2ee234e84332bb72af0c426d04c77ccace33cfb05664745caaa63e910913c3d63bbb2e5d8360a1ec90
SHA512
7485924ce329889afb1c3e0555b54fdbfb11eafce48fb0ac15bacd229fea512c44fcc118bbc4368ebc7c770d62129ee6b895b982f73a269de7131ea37daac02b
diff --git a/dev-python/ioflo/ioflo-2.0.2.ebuild
b/dev-python/ioflo/ioflo-2.0.2.ebuild
new file mode 100644
index 00000000000..ee37a8b9765
--- /dev/null
+++ b/dev-python/ioflo/ioflo-2.0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{7..9})
+inherit distutils-r1
+
+DESCRIPTION="Automated Reasoning Engine and Flow Based Programming Framework"
+HOMEPAGE="https://github.com/ioflo/ioflo/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ $(python_gen_cond_dep '>=dev-lang/python-3.7.4' python3_7)
+"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/pytest-salt-factories[${PYTHON_USEDEP}]
+ app-admin/salt[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/ioflo-1.7.8-network-test.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e 's:"setuptools_git[^"]*",::' -i setup.py || die
+ distutils-r1_python_prepare_all
+}